Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.dfa
Class DaaRuleViolation

    java.lang.Object
      net.sourceforge.pmd.RuleViolation
          net.sourceforge.pmd.dfa.DaaRuleViolation

All Implemented Interfaces:
  IRuleViolation

    public class DaaRuleViolation

extends RuleViolation

The RuleViolation is extended by the VariableName. The VariableName is required for showing what variable produces the UR DD or DU anomaly.

Author:
  Sven Jacob

Nested Class Summary

Nested classes/interfaces inherited from class net.sourceforge.pmd.RuleViolation
`RuleViolation.RuleViolationComparator`

Constructor Summary
`DaaRuleViolation(Rule rule, RuleContext ctx, SimpleNode node, java.lang.String type, java.lang.String msg, java.lang.String var, int beginLine, int endLine)`

Method Summary
`int` | `getBeginLine()`
`int` | `getEndLine()`
`java.lang.String` | `getType()`
`java.lang.String` | `getVariableName()`

Methods inherited from class net.sourceforge.pmd.RuleViolation
`getBeginColumn, getClassName, getDescription, getEndColumn, getFilename, getMethodName, getPackageName, getRule, isSuppressed, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DaaRuleViolation

    public DaaRuleViolation(Rule rule,
                            RuleContext ctx,
                            SimpleNode node,
                            java.lang.String type,
                            java.lang.String msg,
                            java.lang.String var,
                            int beginLine,
                            int endLine)

Method Detail

### getVariableName

    public java.lang.String getVariableName()

  Specified by:
    `getVariableName` in interface `IRuleViolation`
  Overrides:
    `getVariableName` in class `RuleViolation`

### getBeginLine

    public int getBeginLine()

  Specified by:
    `getBeginLine` in interface `IRuleViolation`
  Overrides:
    `getBeginLine` in class `RuleViolation`

### getEndLine

    public int getEndLine()

  Specified by:
    `getEndLine` in interface `IRuleViolation`
  Overrides:
    `getEndLine` in class `RuleViolation`

### getType

    public java.lang.String getType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.